<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');

class Product extends CI_Controller {

    function __construct() {
        parent::__construct();
        //todo:判断用户是否登录
        // $this->permission->is_admin();
        //$this->output->enable_profiler(TRUE);
        $this->load->model('Groupinfo_model');
        $this->load->model('User_model');
        $this->load->model('Product_model');
        $this->load->model('Bulletin_model');
    }

    public function index() {
        $data = array();
        $data['lmi_sn'] = $this->permission->admin()->LMI_SN;
        //$data['lmi_sn'] = 6429; //测试  5327 何倩
        $data['product_type_list'] = (object) $this->lang->line('product_types');
        $data['product_list'] = $this->Product_model->list_by_user($data['lmi_sn']);
        $data['product_req'] = $this->Bulletin_model->get_product_req();
        $this->load->view('header', $data);
        $this->load->view('product');
        $this->load->view('footer');
    }

}

/* End of file welcome.php */
/* Location: ./application/controllers/welcome.php */